> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener orden

> Gets detailed information of a specific order by its ID, including products, pricing, client details, store info, shipping, payments, marketing and additional info.



## OpenAPI

````yaml GET /order/{orderId}
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /order/{orderId}:
    get:
      tags:
        - Orders
        - Read
      summary: Retrieve order details
      description: >-
        Gets detailed information of a specific order by its ID, including
        products, pricing, client details, store info, shipping, payments,
        marketing and additional info.
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
          description: 'ID of the order to query. Example: ''0000012194-081101'''
      responses:
        '200':
          description: Order details
          content:
            application/json:
              schema:
                type: object
                properties:
                  orderId:
                    type: string
                    description: Unique order ID
                  accountId:
                    type: string
                    description: ID of the account that placed the order
                  account:
                    type: string
                    description: Account name
                  source:
                    type: string
                    description: Source of the order, e.g., App or Kiosco
                  platform:
                    type: string
                    description: Platform used to place the order, e.g., Android, iOS
                  createdAt:
                    type: string
                    format: date-time
                    description: Order creation timestamp
                  channelId:
                    type: string
                    description: Channel ID of the order
                  channelName:
                    type: string
                    description: Channel name of the order
                  selectedShippingMethod:
                    type: string
                    description: Selected shipping method, e.g., delivery or pickup
                  accumulatePoints:
                    type: boolean
                    description: Whether the order accumulates loyalty points
                  redeemPoints:
                    type: boolean
                    description: Whether the order redeems loyalty points
                  stock:
                    type: boolean
                    description: Indicates if stock is available
                  discount:
                    type: boolean
                    description: Indicates if a discount was applied
                  orderComment:
                    type: string
                    description: General comment on the order
                  client:
                    type: object
                    description: Information about the client
                    properties:
                      uid:
                        type: string
                        description: First customer identifier
                      name:
                        type: string
                        description: name
                      lastName:
                        type: string
                        description: lastname
                      phone:
                        type: string
                        description: phone
                      email:
                        type: string
                        description: email
                      govIdType:
                        type: string
                        description: >-
                          Type of Identification (e.g. 'DNI', 'CI', 'RUC',
                          'PASSPORT')
                      govIdNumber:
                        type: string
                        description: Identification Number
                      billingInformation:
                        type: object
                        description: Billing info for the client
                        properties:
                          businessName:
                            type: string
                            description: name
                          govIdType:
                            type: string
                            description: >-
                              Type of Identification (e.g. 'DNI', 'CI', 'RUC',
                              'PASSPORT')
                          govIdNumber:
                            type: string
                            description: Identification Number
                          phone:
                            type: string
                            description: phone
                          email:
                            type: string
                            description: email
                          address:
                            type: string
                            description: address
                      additionalInfo:
                        type: object
                        properties:
                          birthdate:
                            type: string
                            description: Date of birth in the format yyyy-MM-dd
                            format: date
                          gender:
                            type: string
                            description: gender
                  store:
                    type: object
                    description: Store details where the order was placed
                    properties:
                      id:
                        type: integer
                        description: Unique identifier
                      name:
                        type: string
                        description: name
                      code:
                        type: string
                        description: code
                      vendorId:
                        type: integer
                        description: Identifier of the string that belongs
                      vendorName:
                        type: string
                        description: Brand name
                      latitude:
                        type: string
                        description: latitude
                      longitude:
                        type: string
                        description: longitude
                  order:
                    type: object
                    properties:
                      products:
                        type: array
                        items:
                          type: object
                          properties:
                            productId:
                              type: string
                              description: Unique identifier
                            product:
                              type: string
                              description: name product
                            quantity:
                              type: integer
                              description: quantity
                            productComment:
                              type: string
                              description: Customer review for the product
                            rewardId:
                              type: string
                              description: Benefit identifier or associated coupon.
                            price:
                              type: object
                              properties:
                                unitPrice:
                                  type: object
                                  properties:
                                    currencyCode:
                                      type: string
                                      description: Currency code (example USD)
                                    totalBeforeSale:
                                      type: string
                                      description: Product value before discounts
                                    subtotalWithoutTaxes:
                                      type: string
                                      description: Subtotal excluding taxes
                                    discountPercentage:
                                      type: string
                                      description: Discount percentage applied
                                    discountsValue:
                                      type: string
                                      description: Discount amount applied.
                                    subtotalIncludeDiscounts:
                                      type: string
                                      description: Product value before discounts
                                    taxesPercentage:
                                      type: string
                                      description: Applied tax percentage
                                    taxValue:
                                      type: string
                                      description: Tax value
                                    total:
                                      type: string
                                      description: Final product total
                                    suggestedPrice:
                                      type: string
                                      description: Suggested product price
                                totalPrice:
                                  type: object
                                  properties:
                                    currencyCode:
                                      type: string
                                      description: Currency code (example USD)
                                    totalBeforeSale:
                                      type: string
                                      description: Product value before discounts
                                    subtotalWithoutTaxes:
                                      type: string
                                      description: Subtotal without taxes
                                    discountPercentage:
                                      type: string
                                      description: Applied discount percentage
                                    discountsValue:
                                      type: string
                                      description: Applied discount value
                                    subtotalIncludeDiscounts:
                                      type: string
                                      description: Subtotal after applying discounts
                                    taxesPercentage:
                                      type: string
                                      description: Applied tax percentage
                                    taxValue:
                                      type: string
                                      description: Tax value. / Value of taxes
                                    total:
                                      type: string
                                      description: Final product total
                                    suggestedPrice:
                                      type: string
                                      description: Suggested product price
                            modifierGroups:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  description:
                                    type: string
                                  selectedModifiers:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        answerId:
                                          type: string
                                          description: Response or selection identifier
                                        productId:
                                          type: string
                                          description: Modifier product identifier
                                        product:
                                          type: string
                                          description: Modifier product name
                                        rewardId:
                                          type: string
                                          description: Reward identifier if applicable
                                        quantity:
                                          type: integer
                                          description: Selected quantity of the modifier
                                        removedQuantity:
                                          type: string
                                          description: Removed quantity if applicable
                                          nullable: true
                                        price:
                                          type: object
                                          properties:
                                            unitPrice:
                                              type: object
                                              properties:
                                                currencyCode:
                                                  type: string
                                                  description: Currency code (example USD)
                                                totalBeforeSale:
                                                  type: string
                                                  description: Product value before discounts
                                                subtotalWithoutTaxes:
                                                  type: string
                                                  description: Subtotal without taxes
                                                discountPercentage:
                                                  type: string
                                                  description: Applied discount percentage
                                                discountsValue:
                                                  type: string
                                                  description: Applied discount value
                                                subtotalIncludeDiscounts:
                                                  type: string
                                                  description: Subtotal after applying discounts
                                                taxesPercentage:
                                                  type: string
                                                  description: Applied tax percentage
                                                taxValue:
                                                  type: string
                                                  description: Tax value. / Value of taxes
                                                total:
                                                  type: string
                                                  description: Final product total
                                                suggestedPrice:
                                                  type: string
                                                  description: Suggested product price
                                            totalPrice:
                                              type: object
                                              properties:
                                                currencyCode:
                                                  type: string
                                                  description: Currency code (example USD)
                                                totalBeforeSale:
                                                  type: string
                                                  description: Product value before discounts
                                                subtotalWithoutTaxes:
                                                  type: string
                                                  description: Subtotal without taxes
                                                discountPercentage:
                                                  type: string
                                                  description: Applied discount percentage
                                                discountsValue:
                                                  type: string
                                                  description: Applied discount value
                                                subtotalIncludeDiscounts:
                                                  type: string
                                                  description: Subtotal after applying discounts
                                                taxesPercentage:
                                                  type: string
                                                  description: Applied tax percentage
                                                taxValue:
                                                  type: string
                                                  description: Tax value. / Value of taxes
                                                total:
                                                  type: string
                                                  description: Final product total
                                                suggestedPrice:
                                                  type: string
                                                  description: Suggested product price
                            additionalInfo:
                              type: object
                              properties:
                                strategy:
                                  type: string
                                  description: Applied strategy (example Upsale)
                                relatedProductId:
                                  type: string
                                  description: Related product identifier
                                redeemed:
                                  type: boolean
                                  description: Indicates if the product was redeemed
                                sort:
                                  type: integer
                                  description: Product position in the selection order
                                referenceUnitPrice:
                                  type: object
                                  properties:
                                    currencyCode:
                                      type: string
                                    totalBeforeSale:
                                      type: string
                                    subtotalWithoutTaxes:
                                      type: string
                                    discountPercentage:
                                      type: string
                                    discountsValue:
                                      type: string
                                    subtotalIncludeDiscounts:
                                      type: string
                                    taxesPercentage:
                                      type: string
                                    taxValue:
                                      type: string
                                    total:
                                      type: string
                                    suggestedPrice:
                                      type: string
                                referenceTotalPrice:
                                  type: object
                                  properties:
                                    currencyCode:
                                      type: string
                                    totalBeforeSale:
                                      type: string
                                    subtotalWithoutTaxes:
                                      type: string
                                    discountPercentage:
                                      type: string
                                    discountsValue:
                                      type: string
                                    subtotalIncludeDiscounts:
                                      type: string
                                    taxesPercentage:
                                      type: string
                                    taxValue:
                                      type: string
                                    total:
                                      type: string
                                    suggestedPrice:
                                      type: string
                                unitMeasurement:
                                  type: string
                      stock:
                        type: object
                        properties:
                          productId:
                            type: string
                          stock:
                            type: integer
                  shippingMethod:
                    type: object
                    properties:
                      delivery:
                        type: object
                        properties:
                          deliveryDate:
                            type: string
                            description: >-
                              Delivery date and time per shipment, type
                              yyyy-MM-dd HH:mm:ss
                          latitude:
                            type: string
                            description: latitude of the delivery location coordinates
                          longitude:
                            type: string
                            description: longitude of the delivery location coordinates
                          country:
                            type: string
                            description: country
                          city:
                            type: string
                            description: city
                          mainStreet:
                            type: string
                            description: mainStreet
                          number:
                            type: string
                            description: number
                          secondaryStreet:
                            type: string
                            description: secondaryStreet
                          reference:
                            type: string
                            description: reference
                          propertyId:
                            type: integer
                            description: Property type identifier
                          observationsAddress:
                            type: string
                            description: Notes about the address / Address observations
                          numberContactAddress:
                            type: string
                            description: Contact Number
                          zipCode:
                            type: string
                            description: zipCode
                          nickName:
                            type: string
                            description: Identification Name
                          externalId:
                            type: string
                            description: Identifier granted by external integrations
                          id:
                            type: string
                            description: Unique identifier
                          driverArrivalDateInStore:
                            type: string
                            description: >-
                              Specifies the estimated date and time a delivery
                              driver can arrive at the store to pick up an order
                          additionalInfo:
                            type: object
                            properties:
                              deliveryConfirmationCode:
                                type: string
                                description: Order delivery confirmation code
                      pickup:
                        type: object
                        properties:
                          pickupDate:
                            type: string
                            description: Pickup date and time, type yyyy-MM-dd HH:mm:ss
                            format: date-time
                          prepDate:
                            type: string
                            description: >-
                              Preparation date and time, type yyyy-MM-dd
                              HH:mm:ss
                            format: date-time
                          prepTimeUnit:
                            type: string
                            description: Time unit, for preparation
                          prepTime:
                            type: integer
                            description: Preparation time
                          propertyId:
                            type: integer
                            description: Property type identification
                          carryOutOptions:
                            type: string
                            description: >-
                              Delivery type, e.g. Takeaway (PickUp-LLevar),
                              Dine-in
                          contactMethods:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  description: >-
                                    Contact type for notifications. Can be
                                    pager, sms, or whatsapp
                                identifier:
                                  type: string
                                  description: >-
                                    Contact identifier (used only if type is
                                    pager)
                                countryCode:
                                  type: string
                                  description: >-
                                    Country code in international format (used
                                    for sms and whatsapp)
                                phoneNumber:
                                  type: string
                                  description: >-
                                    Phone number without the country code (used
                                    for sms and whatsapp)
                  payments:
                    type: object
                    properties:
                      totals:
                        type: array
                        items:
                          type: object
                          properties:
                            rewardId:
                              type: string
                              description: Coupon or reward identifier
                            currencyCode:
                              type: string
                              description: Currency code
                            totalBeforeSale:
                              type: string
                              description: Total value before catalog discounts
                            subtotalWithoutTaxes:
                              type: string
                              description: Subtotal without taxes
                            discountPercentage:
                              type: string
                              description: Discount percentage
                            discountsValue:
                              type: string
                              description: Discount value
                            subtotalIncludeDiscounts:
                              type: string
                              description: Subtotal with discounts
                            taxesPercentage:
                              type: string
                              description: Tax Percentage
                            taxValue:
                              type: string
                              description: Tax value
                            total:
                              type: string
                              description: Total
                      shippingCost:
                        type: array
                        items:
                          type: object
                          properties:
                            quantity:
                              type: integer
                              description: quantity
                            productId:
                              type: string
                              description: product id
                            rewardId:
                              type: string
                              description: Coupon or reward identifier
                            currencyCode:
                              type: string
                              description: Currency code
                            subtotalWithoutTaxes:
                              type: string
                              description: Subtotal without taxes
                            discountPercentage:
                              type: string
                              description: Discount percentage
                            discountsValue:
                              type: string
                              description: Discount value
                            subtotalIncludeDiscounts:
                              type: string
                              description: Subtotal with discounts
                            taxesPercentage:
                              type: string
                              description: Tax Percentage
                            taxValue:
                              type: string
                              description: Tax value
                            total:
                              type: string
                              description: total
                      extraCharges:
                        type: array
                        items:
                          type: object
                          properties:
                            quantity:
                              type: integer
                              description: quantity
                            productId:
                              type: string
                              description: product id
                              nullable: true
                            description:
                              type: string
                              description: description
                            currencyCode:
                              type: string
                              description: Currency Code
                            subtotalWithoutTaxes:
                              type: string
                              description: Subtotal without taxes
                            discountPercentage:
                              type: string
                              description: Discount percentage
                            discountsValue:
                              type: string
                              description: Discount value
                            subtotalIncludeDiscounts:
                              type: string
                              description: Subtotal with discounts
                            taxesPercentage:
                              type: string
                              description: Tax Percentage
                            taxValue:
                              type: string
                              description: Tax value
                            total:
                              type: string
                              description: total
                      discounts:
                        type: array
                        items:
                          type: object
                          properties:
                            rewardId:
                              type: string
                              description: Coupon or reward identifier
                            productId:
                              type: string
                              description: product id
                            currencyCode:
                              type: string
                              description: Currency Code
                            totalBeforeSale:
                              type: string
                              description: Total value before catalog discounts
                            subtotalWithoutTaxes:
                              type: string
                              description: Subtotal without taxes
                            discountPercentage:
                              type: string
                              description: Discount percentage
                            discountsValue:
                              type: string
                              description: Discount value
                            subtotalIncludeDiscounts:
                              type: string
                              description: Subtotal with discounts
                      taxes:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Tax name
                            currencyCode:
                              type: string
                              description: Currency Code
                            subtotalWithoutTaxes:
                              type: string
                              description: Subtotal without taxes
                            percentage:
                              type: string
                              description: percentage
                            total:
                              type: string
                              description: total
                      paymentMethods:
                        type: array
                        items:
                          type: object
                          properties:
                            processor:
                              type: string
                              description: Payment processor
                            currencyCode:
                              type: string
                              description: Currency code
                            paymentMethodCode:
                              type: string
                              description: Payment method code
                            transactionType:
                              type: string
                              description: Transaction type
                              nullable: true
                            transactionId:
                              type: string
                              description: Unique transaction identifier
                              nullable: true
                            transactionStatus:
                              type: string
                              description: Transaction status
                              nullable: true
                            tid:
                              type: string
                              description: Terminal identification number
                              nullable: true
                            mid:
                              type: string
                              description: Merchant identification code
                              nullable: true
                            authorizationCode:
                              type: string
                              description: Authorization code
                              nullable: true
                            voucher:
                              type: string
                              description: Generated voucher
                              nullable: true
                            referenceNumber:
                              type: string
                              description: Reference number
                              nullable: true
                            exactPayment:
                              type: boolean
                              description: >-
                                Indicates if the payment is canceled with the
                                same value
                            customerCashAmount:
                              type: string
                              description: Cash amount that the customer will pay
                            totalBill:
                              type: string
                              description: Total value (decimal format)
                            acquirer:
                              type: object
                              nullable: true
                              properties:
                                code:
                                  type: string
                                  description: Bank or Financial Institution code
                                name:
                                  type: string
                                  description: Bank or Financial Institution name
                            card:
                              type: object
                              nullable: true
                              properties:
                                mask:
                                  type: string
                                  description: >-
                                    Mask (likely referring to a masked card
                                    number)
                                bin:
                                  type: string
                                  description: Bin
                                lastFourDigits:
                                  type: string
                                  description: Last 4 digits
                                brand:
                                  type: string
                                  description: Payment processor brand
                                externalCardBrandId:
                                  type: string
                                  description: Identifier granted by external integrations.
                                holder:
                                  type: string
                                  description: Cardholder name / Owner's name
                                cardCountry:
                                  type: string
                                  description: Country
                            transactionDate:
                              type: object
                              properties:
                                date:
                                  type: string
                                  description: >-
                                    Transaction date and time in yyyy-MM-dd
                                    HH:mm:ss format
                                  format: date-time
                                timeZoneType:
                                  type: integer
                                  description: Time zone identifier
                                timeZoneName:
                                  type: string
                                  description: Time zone name
                                weekNumber:
                                  type: integer
                                  description: Transaction week number
                            metadata:
                              type: object
                              properties:
                                aid:
                                  type: string
                                  description: Only applies to Ecuador (specific field)
                                responseCode:
                                  type: string
                                  description: Transaction response code, '00' for success
                                transactionDate:
                                  type: string
                                  description: Specific transaction date in YYYYMMDD format
                                transactionTime:
                                  type: string
                                  description: Specific transaction time in HHMMSS format
                                cardBrand:
                                  type: string
                                  description: Card type (VISA, MASTERCARD, ELECTRON, etc.)
                                batch:
                                  type: string
                                  description: Batch the transaction belongs to
                                rrn:
                                  type: string
                                  description: Recovery Reference Number
                                taxAmount:
                                  type: string
                                  description: VAT value in the transaction (tax)
                                totalPurchaseAmount:
                                  type: string
                                  description: total Purchase Amount
                                responseMessage:
                                  type: string
                                  description: Response message (example 'OK' or similar)
                                authorizationResponseMessage:
                                  type: string
                                  description: >-
                                    Authorization message (e.g., 'TRANS.
                                    APPROVED')
                  marketing:
                    type: object
                    properties:
                      loyalty:
                        type: object
                        properties:
                          accumulation:
                            type: object
                            properties:
                              storeCost:
                                type: string
                                description: Points accumulated by in-store purchase
                              marketingCost:
                                type: string
                                description: Points accumulated from marketing
                              totalPoints:
                                type: string
                                description: Total accumulated points
                          redemption:
                            type: object
                            properties:
                              storeCost:
                                type: string
                                description: >-
                                  Points redeemed from in-store accumulated
                                  points
                              marketingCost:
                                type: string
                                description: >-
                                  Points redeemed from marketing accumulated
                                  points
                              totalPoints:
                                type: string
                                description: Total redeemed points
                          accountBalancePoints:
                            type: string
                            description: Customer points balance
                      coupons:
                        type: array
                        items:
                          type: object
                          properties:
                            rewardId:
                              type: string
                              description: Applied coupon identifier (o Applied coupon ID)
                            name:
                              type: string
                              description: Coupon name
                            additionalInfo:
                              type: object
                              description: Additional information
                  additionalInfo:
                    type: object
                    properties:
                      kiosk:
                        type: object
                        properties:
                          ip:
                            type: string
                            description: Kiosk IP address
                example:
                  orderId: 0000012194-081101
                  accountId: '10'
                  account: Artisn App
                  source: App|Kiosco
                  platform: Android
                  createdAt: '2022-11-02 08:14:00'
                  channelId: '1'
                  channelName: Domicilio App
                  selectedShippingMethod: delivery|pickup
                  accumulatePoints: true
                  redeemPoints: true
                  stock: false
                  discount: true
                  orderComment: Comentario General del pedido
                  client:
                    uid: Bwsyaszx36b5UXXdqFDFBi6ki7j1
                    name: Sebastian
                    lastName: Rodriguez
                    phone: '0972241639'
                    email: sebas.rodriguez83@gmail.com
                    govIdType: DNI
                    govIdTypeExternal: null
                    govIdNumber: '1751930486'
                    externalId: null
                    id: '402399'
                    billingInformation:
                      businessName: Sebastian Rodriguez
                      govIdType: CI
                      govIdTypeExternal: null
                      govIdNumber: '1751930486'
                      phone: '0969150917'
                      email: sebas.rodriguez83@gmail.com
                      address: La Venecia 1 S57 415 y E4C
                      externalId: '1255'
                      id: '205474'
                    additionalInfo:
                      birthdate: '1984-09-18'
                      gender: masculino
                  store:
                    id: 10
                    name: Gran Santa Fe
                    code: T001
                    vendorId: 8
                    vendorName: Blue Co
                    latitude: '-2.32423423'
                    longitude: '-80.21312312'
                  order:
                    products:
                      - productId: '991117'
                        product: Hamburguesa + papas
                        quantity: 1
                        productComment: incluye upsale y desct. pago puntos
                        rewardId: UUID_DESCPUNTOS
                        price:
                          unitPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '7.7826'
                            discountPercentage: '100.0000'
                            discountsValue: '7.7826'
                            subtotalIncludeDiscounts: '0.0000'
                            taxesPercentage: '15.0000'
                            taxValue: '0.0000'
                            total: '0.0000'
                            suggestedPrice: '8.9900'
                          totalPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '7.7826'
                            discountPercentage: '100.0000'
                            discountsValue: '7.7826'
                            subtotalIncludeDiscounts: '0.0000'
                            taxesPercentage: '15.0000'
                            taxValue: '0.0000'
                            total: '0.0000'
                            suggestedPrice: '8.9900'
                        modifierGroups:
                          - id: '1121'
                            description: Escoja su acompañante
                            selectedModifiers:
                              - answerId: '1055'
                                productId: '1025'
                                product: Papas
                                rewardId: UUID_DESCPUNTOS
                                quantity: 1
                                removedQuantity: null
                                price:
                                  unitPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '1.7304'
                                    discountPercentage: '100'
                                    discountsValue: '1.7304'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '15.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '2.2500'
                                  totalPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '1.7304'
                                    discountPercentage: '100'
                                    discountsValue: '1.7304'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '15.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '2.2500'
                          - id: '1133'
                            description: >-
                              Personalice su hamburguesa. Agregue o quite
                              ingredientes
                            selectedModifiers:
                              - answerId: '1088'
                                productId: '1025'
                                rewardId: null
                                product: Sin Tomate
                                quantity: null
                                removedQuantity: 1
                                price:
                                  unitPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '0.0000'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '0.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '0.0000'
                                  totalPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '0.0000'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '0.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '0.0000'
                        additionalInfo:
                          strategy: Upsale
                          relatedProductId: '99105'
                          redeemed: true
                          sort: 1
                          referenceUnitPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '6.0783'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '6.0783'
                            taxesPercentage: '15.0000'
                            taxValue: '0.9177'
                            total: '6.9900'
                            suggestedPrice: '11.2000'
                          referenceTotalPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '6.0783'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '6.0783'
                            taxesPercentage: '15.0000'
                            taxValue: '0.9177'
                            total: '6.9900'
                            suggestedPrice: '11.2000'
                          unitMeasurement: unidad|caja
                      - productId: '991117'
                        product: Sanduche y bebida. Extra nachos + salsa bbq
                        quantity: 2
                        productComment: Producto con modificador 3er nivel
                        rewardId: null
                        price:
                          unitPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '6.9478'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '6.9478'
                            taxesPercentage: '15.0000'
                            taxValue: '1.0422'
                            total: '7.9900'
                            suggestedPrice: '10.9900'
                          totalPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '13.8956'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '13.8956'
                            taxesPercentage: '15.0000'
                            taxValue: '2.0843'
                            total: '15.9799'
                            suggestedPrice: '21.9800'
                        modifierGroups:
                          - id: '1120'
                            description: Escoja su bebida
                            selectedModifiers:
                              - productId: '1025'
                                answerId: '1065'
                                product: Pepsi
                                quantity: 2
                                removedQuantity: null
                                price:
                                  unitPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '0.0000'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '0.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '0.9900'
                                  totalPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '0.0000'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '0.0000'
                                    taxesPercentage: '0.0000'
                                    taxValue: '0.0000'
                                    total: '0.0000'
                                    suggestedPrice: '1.9800'
                          - id: '1125'
                            description: Agregue extra nachos, ensalada o postre
                            selectedModifiers:
                              - productId: '1035'
                                answerId: '1044'
                                product: Nachos
                                quantity: 2
                                removedQuantity: null
                                price:
                                  unitPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '4.3391'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '4.3391'
                                    taxesPercentage: '15.0000'
                                    taxValue: '0.6509'
                                    total: '4.9900'
                                    suggestedPrice: '0.0000'
                                  totalPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '8.6782'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '8.6782'
                                    taxesPercentage: '15.0000'
                                    taxValue: '1.3017'
                                    total: '9.9799'
                                    suggestedPrice: '0.0000'
                                modifierGroups:
                                  - id: '1127'
                                    description: Seleccione el tipo de salsa
                                    selectedModifiers:
                                      - productId: '1033'
                                        answerId: '1018'
                                        product: Salsa BBQ
                                        quantity: 1
                                        removedQuantity: null
                                        price:
                                          unitPrice:
                                            currencyCode: USD
                                            totalBeforeSale: '0.0000'
                                            subtotalWithoutTaxes: '2.2174'
                                            discountPercentage: '0.0000'
                                            discountsValue: '0.0000'
                                            subtotalIncludeDiscounts: '2.2174'
                                            taxesPercentage: '15.0000'
                                            taxValue: '0.3326'
                                            total: '2.5500'
                                            suggestedPrice: '4.7500'
                                          totalPrice:
                                            currencyCode: USD
                                            totalBeforeSale: '0.0000'
                                            subtotalWithoutTaxes: '2.2174'
                                            discountPercentage: '0.0000'
                                            discountsValue: '0.0000'
                                            subtotalIncludeDiscounts: '2.2174'
                                            taxesPercentage: '15.0000'
                                            taxValue: '0.3326'
                                            total: '2.5500'
                                            suggestedPrice: '4.7500'
                        additionalInfo: {}
                      - productId: '44368'
                        product: Wings + papas
                        quantity: 1
                        productComment: incluye reward de producto.
                        rewardId: UUID_CUPON_PRODUCT
                        price:
                          unitPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '8.6870'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '8.6870'
                            taxesPercentage: '15.0000'
                            taxValue: '1.3031'
                            total: '9.9901'
                            suggestedPrice: '12.9900'
                          totalPrice:
                            currencyCode: USD
                            totalBeforeSale: '0.0000'
                            subtotalWithoutTaxes: '8.6870'
                            discountPercentage: '0.0000'
                            discountsValue: '0.0000'
                            subtotalIncludeDiscounts: '8.6870'
                            taxesPercentage: '15.0000'
                            taxValue: '1.3031'
                            total: '9.9901'
                            suggestedPrice: '12.9900'
                        modifierGroups:
                          - id: '1121'
                            description: Escoja su acompañante
                            selectedModifiers:
                              - productId: '1025'
                                product: Papas
                                quantity: 1
                                removedQuantity: null
                                price:
                                  unitPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '1.9565'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '1.9565'
                                    taxesPercentage: '15.0000'
                                    taxValue: '0.2935'
                                    total: '2.2500'
                                    suggestedPrice: '2.2500'
                                  totalPrice:
                                    currencyCode: USD
                                    totalBeforeSale: '0.0000'
                                    subtotalWithoutTaxes: '1.9565'
                                    discountPercentage: '0.0000'
                                    discountsValue: '0.0000'
                                    subtotalIncludeDiscounts: '1.9565'
                                    taxesPercentage: '15.0000'
                                    taxValue: '0.2935'
                                    total: '2.2500'
                                    suggestedPrice: '2.2500'
                        additionalInfo: {}
                    stock:
                      - productId: '10030'
                        stock: 30
                  shippingMethod:
                    delivery:
                      deliveryDate: '2022-07-05 18:24:00'
                      latitude: '-2.2244266000000'
                      longitude: '-80.9044868000000'
                      country: Colombia
                      city: Bogota
                      mainStreet: 'Calle 100 # 15-34'
                      number: ''
                      secondaryStreet: ''
                      reference: Casa gris
                      propertyId: 1
                      observationsAddress: No sirve el intercomunicador
                      numberContactAddress: '101019987435'
                      zipCode: '170904'
                      nickName: casa
                      externalId: '2056'
                      id: '3012312'
                      driverArrivalDateInStore: '2024-02-21T12:47:27Z'
                      additionalInfo:
                        deliveryConfirmationCode: PZ051
                    pickup:
                      pickupDate: '2022-07-05 18:39:00'
                      prepDate: '2022-07-05 18:24:00'
                      prepTimeUnit: minute
                      prepTime: 15
                      propertyId: 1
                      carryOutOptions: PickUp-LLevar
                      contactMethods:
                        - type: pager
                          identifier: PG123
                        - type: sms
                          countryCode: '+57'
                          phoneNumber: '3001234567'
                        - type: whatsapp
                          countryCode: '+57'
                          phoneNumber: '3007654321'
                  payments:
                    totals:
                      - rewardId: UUID_CUPON_DESC_TOTAL
                        currencyCode: USD
                        totalBeforeSale: '0.0000'
                        subtotalWithoutTaxes: '39.3478'
                        discountPercentage: '20.0000'
                        discountsValue: '7.8696'
                        subtotalIncludeDiscounts: '31.4782'
                        taxesPercentage: '15.0000'
                        taxValue: '4.7217'
                        total: '36.2000'
                    shippingCost:
                      - quantity: 1
                        productId: '111'
                        rewardId: UUID_CUPON_FREEDELIVERY
                        currencyCode: USD
                        subtotalWithoutTaxes: '2.3913'
                        discountPercentage: '100.0000'
                        discountsValue: '2.3913'
                        subtotalIncludeDiscounts: '0.0000'
                        taxesPercentage: '15.0000'
                        taxValue: '0.0000'
                        total: '0.0000'
                    extraCharges:
                      - quantity: 1
                        productId: '125'
                        description: tip
                        currencyCode: USD
                        subtotalWithoutTaxes: '0.8696'
                        discountPercentage: '0.0000'
                        discountsValue: '0.0000'
                        subtotalIncludeDiscounts: '0.8696'
                        taxesPercentage: '15.0000'
                        taxValue: '0.1304'
                        total: '1.0000'
                      - quantity: 1
                        productId: null
                        description: packing cost
                        currencyCode: USD
                        subtotalWithoutTaxes: '3.0435'
                        discountPercentage: '0.0000'
                        discountsValue: '0.0000'
                        subtotalIncludeDiscounts: '3.0435'
                        taxesPercentage: '15.0000'
                        taxValue: '0.4565'
                        total: '3.5000'
                    discounts:
                      - rewardId: UUI_DESCPUNTOS
                        productId: '991117'
                        currencyCode: USD
                        totalBeforeSale: '0.0000'
                        subtotalWithoutTaxes: '7.7826'
                        discountPercentage: '100.0000'
                        discountsValue: '7.7826'
                        subtotalIncludeDiscounts: '0.0000'
                      - rewardId: UUI_DESCPUNTOS
                        productId: '1025'
                        currencyCode: USD
                        totalBeforeSale: '0.0000'
                        subtotalWithoutTaxes: '1.7304'
                        discountPercentage: '100'
                        discountsValue: '1.7304'
                        subtotalIncludeDiscounts: '0.0000'
                      - rewardId: UUID_CUPON_FREEDELIVERY
                        productId: '111'
                        currencyCode: USD
                        totalBeforeSale: '0.0000'
                        subtotalWithoutTaxes: '2.3913'
                        discountPercentage: '100.0000'
                        discountsValue: '2.3913'
                        subtotalIncludeDiscounts: '0.0000'
                      - rewardId: UUID_CUPON_DESC_TOTAL
                        productId: '111'
                        currencyCode: USD
                        totalBeforeSale: '0.0000'
                        subtotalWithoutTaxes: '2.3913'
                        discountPercentage: '100.0000'
                        discountsValue: '2.3913'
                        subtotalIncludeDiscounts: '0.0000'
                    taxes:
                      - name: IVA 15%
                        currencyCode: USD
                        subtotalWithoutTaxes: '31.4782'
                        percentage: '15.0000'
                        total: '4.7217'
                    paymentMethods:
                      - processor: Kushki
                        currencyCode: USD
                        paymentMethodCode: '2'
                        transactionType: credit
                        transactionId: '049258058662543450'
                        transactionStatus: APPROVED
                        tid: CA303015
                        mid: '2000026002'
                        authorizationCode: '428364'
                        voucher: '358642'
                        referenceNumber: '704891'
                        exactPayment: true
                        customerCashAmount: '0.0000'
                        totalBill: '30.0000'
                        acquirer:
                          code: '004'
                          name: BANCO GUAYAQUIL
                        card:
                          mask: 459424XXXXXXX456
                          bin: '459424'
                          lastFourDigits: '1456'
                          brand: MAST
                          externalCardBrandId: 28FA9351-5F07-EB11-80F1-000D3A019254
                          holder: Sebastian Rodriguez
                          cardCountry: Ecuador
                        transactionDate:
                          date: '2022-11-02 08:15:30'
                          timeZoneType: 3
                          timeZoneName: America/Guayaquil
                          weekNumber: 1
                        metadata:
                          aid: Specific to Ecuador (application identifier)
                          responseCode: Transaction response code, '00' for success
                          transactionDate: Date of the transaction in format YYYYMMDD
                          transactionTime: Time of the transaction in format HHMMSS
                          cardBrand: Card brand (e.g., VISA, MASTERCARD, ELECTRON)
                          batch: Batch to which the transaction belongs
                          rrn: Recovery Reference Number (RRN)
                          taxAmount: Tax amount in the transaction (e.g., VAT)
                          totalPurchaseAmount: Total value of the purchase
                          responseMessage: Response message (e.g., 'OK')
                          authorizationResponseMessage: >-
                            Authorization response message (e.g., 'APPROVED
                            TRANSACTION')
                      - processor: Efectivo
                        currencyCode: USD
                        paymentMethodCode: '1'
                        transactionType: null
                        transactionId: null
                        transactionStatus: null
                        tid: null
                        mid: null
                        authorizationCode: null
                        voucher: null
                        referenceNumber: null
                        exactPayment: true
                        customerCashAmount: '0.0000'
                        totalBill: '6.2000'
                        acquirer: null
                        card: null
                        transactionDate:
                          date: '2022-11-02 08:15:40'
                          timeZoneType: 3
                          timeZoneName: America/Guayaquil
                          weekNumber: 1
                        metadata:
                          aid: Specific to Ecuador (application identifier)
                          responseCode: Transaction response code, '00' for success
                          transactionDate: Date of the transaction in format YYYYMMDD
                          transactionTime: Time of the transaction in format HHMMSS
                          cardBrand: Card brand (e.g., VISA, MASTERCARD, ELECTRON)
                          batch: Batch to which the transaction belongs
                          rrn: Recovery Reference Number (RRN)
                          taxAmount: Tax amount in the transaction (e.g., VAT)
                          totalPurchaseAmount: Total value of the purchase
                          responseMessage: Response message (e.g., 'OK')
                          authorizationResponseMessage: >-
                            Authorization response message (e.g., 'APPROVED
                            TRANSACTION')
                  marketing:
                    loyalty:
                      accumulation:
                        storeCost: '100.0000'
                        marketingCost: '112.0000'
                        totalPoints: '212.0000'
                      redemption:
                        storeCost: '80.0000'
                        marketingCost: '160.0000'
                        totalPoints: '240.0000'
                      accountBalancePoints: '20'
                    coupons:
                      - rewardId: UUI_DESCPUNTOS
                        name: Descuento para pago con puntos
                        additionalInfo: {}
                      - rewardId: UUID_CUPON_PRODUCT
                        name: Cupon de producto
                        additionalInfo: {}
                      - rewardId: UUID_CUPON_FREEDELIVERY
                        name: Beneficio Free Delivery
                        additionalInfo: {}
                      - rewardId: UUID_CUPON_DESC_TOTAL
                        name: DEscuento al total de la orden
                        additionalInfo: {}
                  additionalInfo:
                    kiosk:
                      ip: 10.101.4.32
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Order not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````